<template>
  <div class="cv-wrapper">
    <SvgSprite/>
    <left-sidebar>
      <template v-slot:top>
        <div style="line-height: 0.5; display: inline-table; vertical-align: middle">
          <base-avatar width="160px" height="160px"
                       source="https://usaupload.com/cache/plugins/filepreviewer/589881/f66d48d59c89f9af218857d873d7587e5644fb46a6f743ed9f50d6925597c177/280x280_middle.jpg"/>
          <base-text caps bold :size="30" message="sorin"/>
          <base-text caps required :size="30" message="puncea"/>

        </div>
        <div style="display: flex; justify-content: center; flex-wrap: wrap; gap: 20px ">
          <base-text bold required icon="location-point" message="Bucharest"/>
          <base-text bold required icon="calendar-alt" message="07 05 1992"/>
        </div>
        <base-text bold caps :size="20" message="about or fun facts"/>
        <base-text color="#E2EAFC" message="Full-stack developer ( PHP & VueJS )"/>
      </template>

      <template v-slot:bottom>
        <div>
          <base-text :size="20" align="left" bold caps message="contact"/>
          <base-card>
            <template v-slot:icon>
              <img :src="phoneSvg" width="20" height="20">
            </template>
            <template v-slot:title>
              <base-text required flat color="#9D9DA3" message="Phone number"/>
            </template>
            <template v-slot:subtitle>
              <base-text bold flat message="+40730836438"/>
            </template>
          </base-card>
          <base-card>
            <template v-slot:icon>
              <img :src="envelopeSvg" width="20" height="20">
            </template>
            <template v-slot:title>
              <base-text required flat color="#9D9DA3" message="E-mail address"/>
            </template>
            <template v-slot:subtitle>
              <base-text bold flat message="sorin.puncea92@gmail.com"/>
            </template>
          </base-card>
          <base-card>
            <template v-slot:icon>
              <img :src="linkedinSvg" width="20" height="20">
            </template>
            <template v-slot:title>
              <base-text flat color="#9D9DA3" message="Linkedin profile"/>
            </template>
            <template v-slot:subtitle>
              <base-text bold flat message="www.linkedin.com/in/spuncea"/>
            </template>
          </base-card>
          <base-card>
            <template v-slot:icon>
              <img width="20" height="20" :src="websiteSvg">
            </template>
            <template v-slot:title>
              <base-text flat color="#9D9DA3" message="Website"/>
            </template>
            <template v-slot:subtitle>
              <base-text bold flat message="www.sorinpuncea.ro"/>
            </template>
          </base-card>

          <base-text required bold caps align="left" :size="20" message="mac, linux or windows?"/>

          <base-card>
            <template v-slot:icon>
              <base-svg-icon color="#FFFFFF" icon="linux-penguin" width="20" height="20"/>
            </template>
            <template v-slot:subtitle>
              <base-text bold flat message="Linux"/>
            </template>
          </base-card>
        </div>

      </template>

    </left-sidebar>

    <div class="cv-wrapper__main">
      <base-text message="Experience" gradient="light-grey" align="left" :size="40" bold required small/>

      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="PHP Developer @ STREAMWIDE "/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2019 - 2021"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="Developed features for an application used for Critical Mission communication & process development on multiple
device types (web, mobile ).
Developed from scracth and maintend a Boilerplate application - containing a demo subscription app (a robot
subscriber could subscribe to diferrent groups or channels by writing special messages in the chat ) for external
developer agencies to use. Symfony 4.4 and API Platform for the backend. For the metrics, PHP Unit code coverage was
used, Pslam, PHP Stan. For testing: PHP Unit.
Migrated different components to Symfony 4.4 (Email-ing, validation etc. from Zend).
 Handling product hand-overs from external developers (doing code reviews, participating in protocol changing
meetings etc.)
Developing features based on specifications using custom framework ( Zend based )
 Creating web-services methods.
 Maintaining the API cross-platform ( REST, SOAP, XML-RPC, JSON).
 Writing and maintaining documentations.
 Building RPM packages using .spec files and Jenkins.
 Using SonarQube to fix issues and comply with ANSSI requirements.
 Developed scripts for migrating databases and product between different product versions and different architecture.
 Implemented Roadrunner (a much faster alternative to php-fpm built in GO - 70% faster on the benchmark) for the
Core product.
 Working with a very large database (e.g. : over 50 million rows in a single table ) using MySQL/
Using Redis to build queuing workers.
 Working with Jira.
 Cloud Integration with Azure.
 Architecture knowledge.
 Working with Mercurial.
Gained Linux skills.
Beeing a member of the CORE Team ( backend ) for a product with VOIP feature helped me in understanding more
about the architectures involved and gained valuable knownledge about how a product should work and how it should
be managed on a large scale."/>
        </div>
      </div>
      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="Full-Stack Developer @ MAILXPERTISE "/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2017 - 2019"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="Maintaining client platform for managing email and SMS campaigns.
Developing features for different clients using custom PHP framework ( in house built ) for the backend and Javascript
for the frontend ( no framework ).
 Creating crons and scripts ( PHP, ruby and python ) for sending emails and internal tools.
 Maintaining and developing MailXpertise API ( CRUD based ).
 Created Mailxpertise plugin for Woocommerce, Shopify, Magento and Prestashop.
 Created automations for e-commerce like Abandoned cart and Birthday emails etc.
 Created email marketing platform with dashboard for ecommerce.
 Working with a large database using MySQL, Mongo DB and Redis.
Working with GIT.
 Helping and training new interns."/>
        </div>
      </div>
      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="Mobile Phones Technician @ SBE GLOBAL"/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2016 - 2017"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="
Mobile Phones diagnose.
Mainboard level repair.
Refurbishing Mobile Phones.
Installing software.
Changing defective parts.
Customer support.
Working with a large database."/>
        </div>
      </div>
      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="Computer Technician @ INFOCENTER "/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2014 - 2016"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="
Computer / laptop diagnose & repair.
Custom computer setup and upgrades.
Hardware and software package sales.
Customer Service.
Recruiting and training staff.
Hardware warranty customer service.
Internal computer network installations and maintenance.
Website Administrato."/>
        </div>
      </div>

      <base-text message="Education" align="left" :size="40" bold required small gradient="light-grey"/>
      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="MASTER – Faculty of Automation, Computers and Electronics "/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2015 - 2016"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="-"/>
        </div>
      </div>
      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="COMPUTER ENGINEER – Faculty of Automation, Computers and Electronics "/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2011 - 2015"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="-"/>
        </div>
      </div>
      <div style="display: flex; flex-direction: column;">
        <div class="cv-description">
          <base-text :size="20" bold message="BACALAUREAT – Mihai Viteazul Highschool "/>
          <base-text :size="20" align="right" bold icon="calendar-alt" message="2007 - 2011"/>
        </div>
        <div style="text-align: left">
          <base-text color="#ACACAF" message="-"/>
        </div>
      </div>

      <base-text message="Skills" align="left" :size="40" bold required small gradient="grey"/>

      <section class="skills" style="padding: 5px">
        <div style="display: flex; flex-direction: row; justify-content: space-between; ">
          <BaseSkill name="PHP" percentage="ninety"/>
          <BaseSkill name="bootstrap" percentage="sixty"/>
        </div>
        <div style="display: flex; flex-direction: row; justify-content: space-between">
          <BaseSkill name="laravel" percentage="seventy"/>
          <BaseSkill name="aws" percentage="thirty"/>
        </div>
        <div style="display: flex; flex-direction: row; justify-content: space-between">
          <BaseSkill name="vue.js" percentage="sixty"/>
          <BaseSkill name="websockets" percentage="seventy"/>
        </div>
      </section>

      <base-text message="Portfolio" align="left" :size="40" bold gradient="orange"/>
      <base-text align="left" color="#ACACAF" message="Curriculum Vitae developed in Vue.js" />
      <div style="padding-bottom: 60px">
        <base-card round>
          <template v-slot:icon>
            <img :src="linkSvg" width="20" height="20">
          </template>
          <template v-slot:subtitle>
            <base-text bold flat message="https://gitlab.com/sorinpuncea/curriculum-vitae"/>
          </template>
        </base-card>
      </div>


    </div>
  </div>

</template>

<script>
import SvgSprite from './_base/SvgSprite'
import LeftSidebar from './sidebar/LeftSidebar'

// import the gradient svg's
import phoneSvg from '../assets/icons/svg/phone-call.svg'
import envelopeSvg from '../assets/icons/svg/envelope.svg'
import linkedinSvg from '../assets/icons/svg/linkedin.svg'
import websiteSvg from '../assets/icons/svg/web-site.svg'
import linkSvg from '../assets/icons/svg/link.svg'

import BaseSkill from './_base/_base-skill'
import BaseText from './_base/_base-text'

export default {
  name: 'CurriculumVitaeMain',
  components: {BaseText, BaseSkill, SvgSprite, LeftSidebar},
  data () {
    return {
      websiteSvg,
      linkedinSvg,
      envelopeSvg,
      phoneSvg,
      linkSvg
    }
  }
}
</script>

<style scoped>

@media (max-width: 480px) {
  .cv-wrapper {
    display: flex;
    flex-direction: column !important;
  }
  .cv-wrapper__main {
    padding: 0 10px !important;
    align-items: center !important;
  }
  .base-text {
    text-align: center !important;
  }

  .cv-description {
    flex-direction: column !important; align-items: center !important;
  }
}

.cv-description {
  display: flex; flex-direction: row; justify-content: space-between;
}

.cv-wrapper {
  display: flex;
  flex-direction: row;
}

.cv-wrapper__main {
  display: flex;
  flex: 80%;
  overflow-y: scroll;
  background: #1E1F27 0% 0% no-repeat padding-box;
  opacity: 1;
  padding: 0 50px;
  flex-direction: column;
  height: 100vh;
}

section {
  background-color: #1E1F27;
}

</style>
